Skip to main content
GET
/
v2
/
channels
Get Channels
curl --request GET \
  --url https://alerts-api.dial.to/v2/channels \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Dialect-Client-Key: <x-dialect-client-key>'
import requests

url = "https://alerts-api.dial.to/v2/channels"

headers = {
"X-Dialect-Client-Key": "<x-dialect-client-key>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'X-Dialect-Client-Key': '<x-dialect-client-key>',
Authorization: 'Bearer <token>'
}
};

fetch('https://alerts-api.dial.to/v2/channels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "EMAIL": {
    "id": "<string>",
    "value": "<string>",
    "verified": true,
    "subscribed": true,
    "subscribedApps": [
      {
        "id": "255d6163-7e25-43e9-a188-c2f8d0980a4a",
        "name": "Dialect",
        "icon": "https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png"
      }
    ]
  },
  "TELEGRAM": {
    "id": "<string>",
    "value": "<string>",
    "verified": true,
    "subscribed": true,
    "subscribedApps": [
      {
        "id": "255d6163-7e25-43e9-a188-c2f8d0980a4a",
        "name": "Dialect",
        "icon": "https://dialect-file-storage.s3.us-west-2.amazonaws.com/avatars/dialect-logo.png"
      }
    ]
  }
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication for subscriber calls

Headers

X-Dialect-Client-Key
string
required

Client Key used to uniquely identify the client

Example:

"dk_gyh2eqzfkc4mhp5eiahnndkz"

Response

User channels retrieved successfully

EMAIL
object
TELEGRAM
object